%global libname %mklibname nss-pgsql

Summary: NSS library for postgresql
Name: libnss-pgsql
Version: 1.4.0
Release: %mkrel 16
Source0: https://downloads.sourceforge.net/sysauth-pgsql/%{name}-%{version}.tar.bz2
Patch0: libnss-pgsql.includedir.patch
Patch1: libnss-pgsql.readconfigsilentfailed.patch
Patch2:	libnss-pgsql-1.4.0-automake-1.13.patch
License: GPL
Group: System/Libraries
Url: https://sourceforge.net/projects/sysauth-pgsql
BuildRequires: libpq-devel
BuildRequires: postgresql-devel
BuildRequires: xmlto
BuildRequires: automake
BuildRequires: docbook-style-xsl

%description
This library provide the capability to have all classical
users definitions in a PostgreSQL server instead than in the
old plain text files in /etc passwd,group,shadow.

All is done without any trick or something like, simply
connecting to the nss (Name Service Switch) facility
offered by the libc (2.x) as nis and nisplus already did.

All without recompiling or touching any application
configurations. Just compile and install nss_postgresql
library and set up a PostgreSQL server.

%if "%{libname}" != "%{name}"
%package -n %{libname}
Summary: NSS library for postgresql
Group: System/Libraries

%description -n %{_lib}nss-pgsql
This library provide the capability to have all classical
users definitions in a PostgreSQL server instead than in the
old plain text files in /etc passwd,group,shadow.

All is done without any trick or something like, simply
connecting to the nss (Name Service Switch) facility
offered by the libc (2.x) as nis and nisplus already did.

All without recompiling or touching any application
configurations. Just compile and install nss_postgresql
library and set up a PostgreSQL server.
%endif

%prep
%setup -q
%patch0 -p0 -b .pgsqlinclude
%patch1 -p0 -b .readconfigsilentfailed
%patch2 -p1

%build
autoreconf -vfi
%configure
%make_build CFLAGS="%{optflags} -fPIC"

%install
mkdir -p %{buildroot}/{%{_libdir},%{_sysconfdir}}
%make_install
install -m644 conf/nss-pgsql.conf %{buildroot}/%{_sysconfdir}/nss-pgsql.conf
install -m600 conf/nss-pgsql-root.conf %{buildroot}/%{_sysconfdir}/nss-pgsql-root.conf

rm -fr %{buildroot}/%{_prefix}/doc

%files -n %{libname}
%doc conf/dbschema.sql README* TODO AUTHORS 
%doc doc/caution.png doc/nss-pgsql.html
%{_libdir}/libnss_pgsql.*
%config(noreplace) %{_sysconfdir}/*.conf


%changelog
* Sat Mar 19 2022 umeabot <umeabot> 1.4.0-16.mga9
+ Revision: 1799774
- Mageia 9 Mass Rebuild

* Sun May 10 2020 pterjan <pterjan> 1.4.0-15.mga8
+ Revision: 1582755
- Simplify
+ danf <danf>
- Switch URLs from http: to https:

* Thu Feb 13 2020 umeabot <umeabot> 1.4.0-14.mga8
+ Revision: 1514688
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 1.4.0-13.mga7
+ Revision: 1299055
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Use new make macros
- Remove /sbin/ldconfig commands

* Mon Feb 15 2016 umeabot <umeabot> 1.4.0-12.mga6
+ Revision: 961132
- Mageia 6 Mass Rebuild

* Tue Nov 25 2014 cjw <cjw> 1.4.0-11.mga5
+ Revision: 798981
- rebuild against postgresql9.4

* Wed Oct 15 2014 umeabot <umeabot> 1.4.0-10.mga5
+ Revision: 742355
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.4.0-8.mga4
+ Revision: 508719
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 luigiwalser <luigiwalser> 1.4.0-7.mga3
+ Revision: 362027
- fix for automake 1.13
- fix for UsrMove
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Aug 13 2012 nanardon <nanardon> 1.4.0-5.mga3
+ Revision: 281195
- imported package libnss-pgsql


* Fri Aug 03 2007 Olivier Thauvin <nanardon@mandriva.org> 1.4.0-5mdv2008.0
+ Revision: 58652
- libidification
- Import libnss-pgsql



* Tue Mar 14 2006 Nicolas Lécureuil <neoclust@mandriva.org> 1.4.0-4mdk
- Add BuildRequires

* Sat Feb 04 2006 Olivier Thauvin <nanardon@mandriva.org> 1.4.0-3mdk
- add post/postun

* Sat Feb 04 2006 Olivier Thauvin <nanardon@mandriva.org> 1.4.0-2mdk
- patch1: if can't read root config file, don't complain
  about bad connection

* Sat Feb 04 2006 Olivier Thauvin <nanardon@mandriva.org> 1.4.0-1mdk
- Initial mdv package
